Subject: Fw: leadership renewal form
From: "Michael B" <[email-masked]>
To: "Julie Feldpausch" <[email-masked]>
Date: Tue, 17 Mar 2015 15:17:41 -0400

I didn't have Celeste's.  I will print one out for her and send it over later.
Thank you,
Michael B
LLPS

From: Michael B 
Sent: Thursday, February 26, 2015 2:27 PM
To: Julie Feldpausch 
Subject: Re: leadership renewal form

Sorry Julie.
I had this filled out and in an envelope to give to Duane to forward to you last week's Board Meeting but missed Duane because he had to work.  Then instead of remembering to take it to your box, I somehow misplaced it.  Either that or my dog ate it...your choice.  
Thank you,
Michael B

From: Julie Feldpausch 
Sent: Thursday, February 26, 2015 11:33 AM
To: Julie Feldpausch 
Subject: leadership renewal form

Please fill out the attached form and return to me ASAP.   It is overdue, so I appreciate you taking care of it promptly.

Thanks a bunch..God bless!

Julie

 

      Julie Feldpausch
      Executive Secretary

      [email-masked]
      517.319.5720
      mounthopechurch.org